<html>
<head>
<title>OGRE: Ogre::RenderTargetListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderTargetListener.html">RenderTargetListener</a></div>
<h1>Ogre::RenderTargetListener Class Reference</h1><!-- doxytag: class="Ogre::RenderTargetListener" -->A interface class defining a listener which can be used to receive notifications of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderTargetListener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1RenderTargetListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#fb5752b727803f415b960ed9f2728f3a">~RenderTargetListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#e6e3dc0a3a760bf152513fafbf51f9b3">preRenderTargetUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called just before a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> is about to be rendered into.  <a href="#e6e3dc0a3a760bf152513fafbf51f9b3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#722f37475162c91ee0dd6cebf03e63a3">postRenderTargetUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called just after a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> has been rendered to.  <a href="#722f37475162c91ee0dd6cebf03e63a3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#e0f7f5f1cdf13b5870d0da1cc8f1bd64">preViewportUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#343ada5be6be784ee83f3cb8ac48e319">postViewportUpdate</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#b901ef7073b680203caf86792c2151ee">viewportAdded</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been added to the target in question.  <a href="#b901ef7073b680203caf86792c2151ee"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTargetListener.html#e39efc7491a7bbd3d5e2e3e5f84796c2">viewportRemoved</a> (const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been removed from the target in question.  <a href="#e39efc7491a7bbd3d5e2e3e5f84796c2"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A interface class defining a listener which can be used to receive notifications of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A 'listener' is an interface designed to be called back when particular events are called. This class defines the interface relating to <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events. In order to receive notifications of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events, you should create a subclass of <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a> and override the methods for which you would like to customise the resulting processing. You should then call <a class="el" href="classOgre_1_1RenderTarget.html#1799514a8ad7958919ca48c654a47e8e" title="Add a listener to this RenderTarget which will be called back before &amp; after...">RenderTarget::addListener</a> passing an instance of this class. There is no limit to the number of <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> listeners you can register, allowing you to register multiple listeners for different purposes.  <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> events occur before and after the target is updated as a whole, and before and after each viewport on that target is updated. Each <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> holds it's own set of listeners, but you can register the same listener on multiple render targets if you like since the event contains details of the originating <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00072">72</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="fb5752b727803f415b960ed9f2728f3a"></a><!-- doxytag: member="Ogre::RenderTargetListener::~RenderTargetListener" ref="fb5752b727803f415b960ed9f2728f3a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RenderTargetListener::~RenderTargetListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00083">83</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e6e3dc0a3a760bf152513fafbf51f9b3"></a><!-- doxytag: member="Ogre::RenderTargetListener::preRenderTargetUpdate" ref="e6e3dc0a3a760bf152513fafbf51f9b3" args="(const RenderTargetEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTargetListener::preRenderTargetUpdate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called just before a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> is about to be rendered into. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This event is raised just before any of the viewports on the target are rendered to. You can perform manual rendering operations here if you want, but please note that if the <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> objects attached to this target are set up to clear the background, you will lose whatever you render. If you want some kind of backdrop in this event you should turn off background clearing off on the viewports, and either clear the viewports yourself in this event handler before doing your rendering or just render over the top if you don't need to. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#1ec36cc26d28a3093551eefa01e0d150">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00095">95</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="722f37475162c91ee0dd6cebf03e63a3"></a><!-- doxytag: member="Ogre::RenderTargetListener::postRenderTargetUpdate" ref="722f37475162c91ee0dd6cebf03e63a3" args="(const RenderTargetEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTargetListener::postRenderTargetUpdate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called just after a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> has been rendered to. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This event is called just after all the viewports attached to the target in question have been rendered to. You can perform your own manual rendering commands in this event handler if you like, these will be composited with the contents of the target already there (depending on the material settings you use etc). </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00104">104</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e0f7f5f1cdf13b5870d0da1cc8f1bd64"></a><!-- doxytag: member="Ogre::RenderTargetListener::preViewportUpdate" ref="e0f7f5f1cdf13b5870d0da1cc8f1bd64" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTargetListener::preViewportUpdate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#dd2baec43d6f70d7074c0bc661c218c3">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00112">112</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="343ada5be6be784ee83f3cb8ac48e319"></a><!-- doxytag: member="Ogre::RenderTargetListener::postViewportUpdate" ref="343ada5be6be784ee83f3cb8ac48e319" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTargetListener::postViewportUpdate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#3e3315ef4adfc91d21fe309b2c74576a">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00119">119</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b901ef7073b680203caf86792c2151ee"></a><!-- doxytag: member="Ogre::RenderTargetListener::viewportAdded" ref="b901ef7073b680203caf86792c2151ee" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTargetListener::viewportAdded           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been added to the target in question. 
<p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00124">124</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e39efc7491a7bbd3d5e2e3e5f84796c2"></a><!-- doxytag: member="Ogre::RenderTargetListener::viewportRemoved" ref="e39efc7491a7bbd3d5e2e3e5f84796c2" args="(const RenderTargetViewportEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTargetListener::viewportRemoved           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderTargetViewportEvent.html">RenderTargetViewportEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called to notify listener that a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> has been removed from the target in question. 
<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorChain.html#d7c35a353497792f762cb57b1111532e">Ogre::CompositorChain</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00128">128</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:18 2008
</p>
</body>
</html>
